Subject: [bug#40195] Add Docusign python API module as a package

From: Leo Famulari <[email-masked]>
Date: Mon, 23 Mar 2020 15:39:06 -0400

On Mon, Mar 23, 2020 at 02:26:10PM +0000, Josh Marshall wrote:
> Add Docusign python API module as a package

Thanks! I have a few changes...

The tarballs that GitHub automatically generates per-tag (named like
'v3.0.0.tar.gz') do sometimes change, which breaks our packaging. So we
should package this either from the Git tag or from PyPI:

https://pypi.org/project/docusign-esign/

I think we should take the PyPi name as canonical, so as a Python
library, this Guix package should be called 'python-docusign-esign'.

Why are the tests skipped? Can you add a code comment? Even just "No
test suite" if that is the case.

Make sure to lint the package. You may need to do it in a Guix
development environment; something like this should work:

`guix environment guix -- ./pre-inst-env guix lint python-docusign`.

Can you send a revised patch? Also, does this integrate with any Guix
packages?